import type { InternalStorageV2 } from "./InternalStorageV2";
import type { S3Storage } from "./S3Storage";
import type { WebStorage } from "./WebStorage";
/**
 * Storage layer to use when creating or updating folders.
 *
 * This data type may contain credentials.
 */
export declare type StorageLayerUpdate = InternalStorageV2 | WebStorage | S3Storage;
