/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

/**
 * Specifies which files and folders relative to the `folderPath` to delete.
 *
 * - `"All"`: deletes the files and folders that match or descend the path specified by 'folderPath'.
 *
 * - `"Descendents"`: deletes the files and folders contained within 'folderPath' and below, but not the folder itself.
 *
 * - `"ThisFolder"`: deletes the folder specified by 'folderPath' if it contains no files and no sub-folders. Fails otherwise.
 *
 * Default: `"ThisFolder"`
 */
export type DeleteFolderScope = "ThisFolder" | "Descendents" | "All";
