/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FileName } from "./FileName";
import type { RelativeOrAbsoluteFolderPath } from "./RelativeOrAbsoluteFolderPath";

/**
 * File path to upload files to.
 *
 * This data structure can be used as the `path` parameter in a BeginUploadRequest, as an alternative to using a `string`.
 *
 * The `fileName` and `folderPath` fields in this type are both optional and support path variables.
 *
 * If either field is omitted, the API key's default is used for that field.
 */
export type DynamicFilePath = {
  fileName?: FileName;
  fileNameVariablesEnabled?: boolean;
  folderPath?: RelativeOrAbsoluteFolderPath;
  folderPathVariablesEnabled?: boolean;
};
