/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { UploadPartIndex } from "./UploadPartIndex";

/**
 * Identifies the UploadPart indexes that still need uploading for an active multipart file upload.
 *
 * See also: basic file uploads.
 */
export type UploadPartList = {
  /**
   * Indexes of the parts that still need uploading.
   */
  remainingUploadParts: Array<UploadPartIndex>;
};
