/**
 * Response body for all error responses.
 */
export declare type ErrorResponse = {
    error: {
        /**
         * Human-readable error message.
         */
        message: string;
        /**
         * Additional machine-readable details relating to the error.
         */
        details?: any;
        /**
         * Machine-readable error code.
         */
        code: string;
    };
};
