/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { EpochMillis } from "./EpochMillis";
import type { FilePath } from "./FilePath";
import type { RawFileUrl } from "./RawFileUrl";
import type { SizeInBytes } from "./SizeInBytes";

/**
 * Summary information about a file (a subset of the FileDetails type).
 */
export type FileSummaryV2 = {
  filePath: FilePath;
  fileUrl: RawFileUrl;
  lastModified: EpochMillis;
  size: SizeInBytes;
  type: "File";
};
