/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FolderPath } from "./FolderPath";
import type { PatchFolderSettings } from "./PatchFolderSettings";

/**
 * Request body for putting (creating or updating) a folder.
 */
export type PutFolderRequest = {
  /**
   * You must specify `true` if the `folderPath` ends with a `/`.
   *
   * This prevents the accidental creation of folders that produce file paths with double forward-slashes in them.
   *
   * Default: `false`
   */
  allowUnnamedFolder?: boolean;
  folderPath: FolderPath;
  folderSettings?: PatchFolderSettings;
};
