/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { InternalStorageV1 } from "./InternalStorageV1";
import type { InternalStorageV2 } from "./InternalStorageV2";
import type { S3StorageWithoutCredentials } from "./S3StorageWithoutCredentials";
import type { WebStorage } from "./WebStorage";

/**
 * Storage layer summary information: returned by API endpoints when describing an existing folder's storage layer.
 *
 * This data type does not contain credentials.
 */
export type StorageLayerSummary = InternalStorageV2 | WebStorage | InternalStorageV1 | S3StorageWithoutCredentials;
